LogMF (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class LogMF

    java.lang.Object
      org.apache.log4j.LogXF
          org.apache.log4j.LogMF

    public final class LogMF

extends LogXF

This class provides parameterized logging services using the pattern syntax of java.text.MessageFormat. Message formatting is only performed when the request exceeds the threshold level of the logger. When the pattern only contains literal text and default conversion patterns (that is "{0}" and similar) a simple fast compatible formatter is used. If the pattern contains more complex conversion patterns, formatting will be delegated to java.text.MessageFormatter which can be substantially slower.

Since:
  1.2.16
See Also:
  `LogSF`

Field Summary

Fields inherited from class org.apache.log4j.LogXF
`TRACE`

Method Summary
`static void` | `debug(Logger logger, String pattern, boolean argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, byte argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, char argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, double argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, float argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, int argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, long argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, Object argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, Object arg0, Object arg1)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, Object arg0, Object arg1, Object arg2)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, Object arg0, Object arg1, Object arg2, Object arg3)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, String pattern, short argument)` Log a parameterized message at debug level.
`static void` | `debug(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at debug level.
`static void` | `error(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at error level.
`static void` | `error(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at error level.
`static void` | `fatal(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at fatal level.
`static void` | `fatal(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at fatal level.
`static void` | `info(Logger logger, String pattern, boolean argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, byte argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, char argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, double argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, float argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, int argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, long argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, Object argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, Object arg0, Object arg1)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, Object arg0, Object arg1, Object arg2)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, Object arg0, Object arg1, Object arg2, Object arg3)` Log a parameterized message at info level.
`static void` | `info(Logger logger, String pattern, short argument)` Log a parameterized message at info level.
`static void` | `info(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at info level.
`static void` | `log(Logger logger, Level level, String pattern, boolean param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, byte param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, char param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, double param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, float param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, int param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, long param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, Object param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, Object[] parameters)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, Object arg0, Object arg1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, Object arg0, Object arg1, Object arg2)` Log a parameterized message at specifed level.
`static void` | `log(Logger logger, Level level, String pattern, Object arg0, Object arg1, Object arg2, Object arg3)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, String pattern, short param1)` Log a parameterized message at specified level.
`static void` | `log(Logger logger, Level level, Throwable t, String pattern, Object[] parameters)` Log a parameterized message at specified level.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, boolean param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, byte param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, char param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, double param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, float param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, int param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, long param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, Object param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, Object[] parameters)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, Object param0, Object param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, Object param0, Object param1, Object param2)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, Object param0, Object param1, Object param2, Object param3)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, String bundleName, String key, short param1)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `logrb(Logger logger, Level level, Throwable t, String bundleName, String key, Object[] parameters)` Log a parameterized message using a pattern from a resource bundle.
`static void` | `trace(Logger logger, String pattern, boolean argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, byte argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, char argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, double argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, float argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, int argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, long argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, Object argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, Object arg0, Object arg1)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, Object arg0, Object arg1, Object arg2)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, Object arg0, Object arg1, Object arg2, Object arg3)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, String pattern, short argument)` Log a parameterized message at trace level.
`static void` | `trace(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at trace level.
`static void` | `warn(Logger logger, String pattern, boolean argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, byte argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, char argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, double argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, float argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, int argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, long argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, Object argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, Object[] arguments)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, Object arg0, Object arg1)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, Object arg0, Object arg1, Object arg2)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, Object arg0, Object arg1, Object arg2, Object arg3)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, String pattern, short argument)` Log a parameterized message at warn level.
`static void` | `warn(Logger logger, Throwable t, String pattern, Object[] arguments)` Log a parameterized message at warn level.

Methods inherited from class org.apache.log4j.LogXF
`entering, entering, entering, entering, exiting, exiting, exiting, throwing, toArray, toArray, toArray, toArray, valueOf, valueOf, valueOf, valueOf, valueOf, valueOf, valueOf, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### trace

    public static void trace(Logger logger,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            Object[] arguments)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            Object[] arguments)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### error

    public static void error(Logger logger,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at error level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### fatal

    public static void fatal(Logger logger,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at fatal level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             Throwable t,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             Throwable t,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### info

    public static void info(Logger logger,
                            Throwable t,
                            String pattern,
                            Object[] arguments)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            Throwable t,
                            String pattern,
                            Object[] arguments)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### error

    public static void error(Logger logger,
                             Throwable t,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at error level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### fatal

    public static void fatal(Logger logger,
                             Throwable t,
                             String pattern,
                             Object[] arguments)

  Log a parameterized message at fatal level.

  Parameters:
    `logger` - logger, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `arguments` - an array of arguments to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             boolean argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             char argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             byte argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             short argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             int argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             long argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             float argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             double argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             Object argument)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1,
                             Object arg2)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.

### trace

    public static void trace(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1,
                             Object arg2,
                             Object arg3)

  Log a parameterized message at trace level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.
    `arg3` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             boolean argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             char argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             byte argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             short argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             int argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             long argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             float argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             double argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             Object argument)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1,
                             Object arg2)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.

### debug

    public static void debug(Logger logger,
                             String pattern,
                             Object arg0,
                             Object arg1,
                             Object arg2,
                             Object arg3)

  Log a parameterized message at debug level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.
    `arg3` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            boolean argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            char argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            byte argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            short argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            int argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            long argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            float argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            double argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            Object argument)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1,
                            Object arg2)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.

### info

    public static void info(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1,
                            Object arg2,
                            Object arg3)

  Log a parameterized message at info level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.
    `arg3` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            boolean argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            char argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            byte argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            short argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            int argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            long argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            float argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            double argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            Object argument)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `argument` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1,
                            Object arg2)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.

### warn

    public static void warn(Logger logger,
                            String pattern,
                            Object arg0,
                            Object arg1,
                            Object arg2,
                            Object arg3)

  Log a parameterized message at warn level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.
    `arg3` - a value to be formatted and substituted.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           Object[] parameters)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `parameters` - parameters to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           Throwable t,
                           String pattern,
                           Object[] parameters)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `t` - throwable, may be null.
    `pattern` - pattern, may be null.
    `parameters` - parameters to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           Object param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           boolean param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           byte param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           char param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           short param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           int param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           long param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           float param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           double param1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `param1` - parameter to the log message.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           Object arg0,
                           Object arg1)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           Object arg0,
                           Object arg1,
                           Object arg2)

  Log a parameterized message at specifed level.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `pattern` - pattern, may be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.

### log

    public static void log(Logger logger,
                           Level level,
                           String pattern,
                           Object arg0,
                           Object arg1,
                           Object arg2,
                           Object arg3)

  Log a parameterized message at specified level.

  Parameters:
    `logger` - logger, may not be null.
    `pattern` - pattern, may be null.
    `level` - level, may not be null.
    `arg0` - a value to be formatted and substituted.
    `arg1` - a value to be formatted and substituted.
    `arg2` - a value to be formatted and substituted.
    `arg3` - a value to be formatted and substituted.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             Object[] parameters)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `parameters` - parameters to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             Throwable t,
                             String bundleName,
                             String key,
                             Object[] parameters)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `t` - throwable, may be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `parameters` - parameters to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             Object param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             boolean param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             char param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             byte param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             short param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             int param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             long param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             float param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             double param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             Object param0,
                             Object param1)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param0` - Parameter to the log message.
    `param1` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             Object param0,
                             Object param1,
                             Object param2)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param0` - Parameter to the log message.
    `param1` - Parameter to the log message.
    `param2` - Parameter to the log message.

### logrb

    public static void logrb(Logger logger,
                             Level level,
                             String bundleName,
                             String key,
                             Object param0,
                             Object param1,
                             Object param2,
                             Object param3)

  Log a parameterized message using a pattern from a resource bundle.

  Parameters:
    `logger` - logger, may not be null.
    `level` - level, may not be null.
    `bundleName` - resource bundle name, may be null.
    `key` - key, may be null.
    `param0` - Parameter to the log message.
    `param1` - Parameter to the log message.
    `param2` - Parameter to the log message.
    `param3` - Parameter to the log message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.